Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LibrarySessionInterface

All Superinterfaces:
  Traceable

All Known Implementing Classes:
  LibrarySession, S_LibrarySession, S_TieLibrarySession, TieLibrarySession

    public interface class LibrarySessionInterface

extends Traceable

The `LibrarySessionInterface` interface. The beans-side and server-side LibrarySession classes implement this interface. This is used to make certain classes in the common packge useable by both the beans and server packages.

(Published)

Field Summary
`static java.lang.String` | `DEFAULT_CONTENTQUOTA_PROPERTY` Session property name for the default ContentQuota object
`static java.lang.String` | `DEFAULT_FOLDER_RELATIONSHIP_PROPERTY` Session property name for the default FolderRelation class to use when new links are created.
`static int` | `EXECUTIONMODE_ADMINISTRATION` Administration execution mode.
`static int` | `EXECUTIONMODE_DISCOVERYADMINISTRATION` Discovery-administration execution mode.
`static int` | `EXECUTIONMODE_INSTALLADMINISTRATION` Install administration execution mode.
`static int` | `EXECUTIONMODE_PREEXISTING` Pre-existing execution mode.
`static int` | `EXECUTIONMODE_SYSTEMADMINISTRATION` System administration execution mode.
`static int` | `EXECUTIONMODE_USER` User execution mode.
`static java.lang.String` | `FOLDER_PATH_DELIMITER_PROPERTY` Session property name for the Folder-Path delimiter
`static java.lang.String` | `PREVENT_SESSION_TIMEOUTS_PROPERTY` Session property name for the boolean setting for bypassing session timeouts
`static java.lang.String` | `UPGRADE_BEHAVIOR_PROPERTY` Session property name for the boolean setting for behaving as if an upgrade was in progress.

Method Summary
`AttributeValue` | `getArrayTypeAttributeValue(AttributeValueArray av, long objectId, long attributeId, long auditId, int count)` Gets a fully resolved array-type AttributeValue with non-transient elements that is a copy of the specified array-type AttributeValue.
`java.lang.String` | `getAttributeSortName(java.lang.String classname, java.lang.String attributename)` return the Database object name that corresponds to an Attribute of a specified ClassObject.
`Collection` | `getClassAccessControlListCollection()` Gets a reference to the ClassAccessControlList collection.
`Collection` | `getClassDomainCollection()` Gets a reference to the ClassDomain collection.
`Collection` | `getClassObjectCollection()` Gets a reference to the ClassObject collection.
`AttributeValue` | `getClassObjectValueByName(java.lang.String name)` Gets an AttributeValue representation of a CLASSOBJECT that has the specified name.
`DirectoryObjectInterface` | `getDirectoryObjectInterface(java.lang.Long id)` Gets the DirectoryObjectInterface for the specified id.
`DirectoryObjectInterface[]` | `getDirectoryObjectInterfaces(java.lang.Long[] ids)` Gets the DirectoryObjectInterfaces for the specified ids.
`Collection` | `getDirectoryUserCollection()` Gets a reference to the DirectoryUser collection.
`Collection` | `getExtendedPermissionCollection()` Gets a reference to the ExtendedPermission collection.
`Collection` | `getExtendedUserProfileCollection()` Gets a reference to the ExtendedUserProfile collection.
`Collection` | `getFormatCollection()` Gets a reference to the Format collection.
`Collection` | `getFormatExtensionCollection()` Gets a reference to the FormatExtension collection.
`Localizer` | `getLocalizer()` Gets the localizer of this session.
`Collection` | `getMediaCollection()` Gets a reference to the Media collection.
`Collection` | `getPermissionBundleCollection()` Gets a reference to the PermissionBundle collection.
`Collection` | `getPolicyCollection()` Gets a reference to the Policy collection.
`PublicObjectInterface` | `getPublicObjectInterface(java.lang.Long id)` Gets the PublicObjectInterface for the specified id.
`PublicObjectInterface[]` | `getPublicObjectInterfaces(java.lang.Long[] ids)` Gets the PublicObjectInterfaces for the specified ids.
`SchemaObjectInterface` | `getSchemaObjectInterface(java.lang.Long id)` Gets the SchemaObjectInterface for the specified id.
`SchemaObjectInterface[]` | `getSchemaObjectInterfaces(java.lang.Long[] ids)` Gets the SchemaObjectInterfaces for the specified ids.
`Collection` | `getSystemAccessControlListCollection()` Gets a reference to the SystemAccessControlList collection.
`SystemObjectInterface` | `getSystemObjectInterface(java.lang.Long id)` Gets the SystemObjectInterface for the specified id.
`SystemObjectInterface[]` | `getSystemObjectInterfaces(java.lang.Long[] ids)` Gets the SystemObjectInterfaces for the specified ids.
`Collection` | `getValueDefaultCollection()` Gets a reference to the ValueDefault collection.
`Collection` | `getValueDomainCollection()` Gets a reference to the ValueDomain collection.

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### DEFAULT_FOLDER_RELATIONSHIP_PROPERTY

    static final java.lang.String DEFAULT_FOLDER_RELATIONSHIP_PROPERTY

  Description copied from interface: `LibrarySessionInterface`
  Session property name for the default FolderRelation class to use when new links are created.

  See Also:
    Constant Field Values
  (Unpublished)

### FOLDER_PATH_DELIMITER_PROPERTY

    static final java.lang.String FOLDER_PATH_DELIMITER_PROPERTY

  Description copied from interface: `LibrarySessionInterface`
  Session property name for the Folder-Path delimiter

  See Also:
    Constant Field Values
  (Unpublished)

### DEFAULT_CONTENTQUOTA_PROPERTY

    static final java.lang.String DEFAULT_CONTENTQUOTA_PROPERTY

  Description copied from interface: `LibrarySessionInterface`
  Session property name for the default ContentQuota object

  See Also:
    Constant Field Values
  (Unpublished)

### PREVENT_SESSION_TIMEOUTS_PROPERTY

    static final java.lang.String PREVENT_SESSION_TIMEOUTS_PROPERTY

  Description copied from interface: `LibrarySessionInterface`
  Session property name for the boolean setting for bypassing session timeouts

  See Also:
    Constant Field Values
  (Unpublished)

### UPGRADE_BEHAVIOR_PROPERTY

    static final java.lang.String UPGRADE_BEHAVIOR_PROPERTY

  Description copied from interface: `LibrarySessionInterface`
  Session property name for the boolean setting for behaving as if an upgrade was in progress.

  When this behavior is set to true, operations performed on behalf of that session differ from those occuring on normal sessions in the following ways:

  - Quota is not checked during document creation/update.
  - Last modification date and last modifier are not updated when updating system-set attributes.
  - Last modification date and last modifier are not updated on folders when an item is added or removed from that folder.

  See Also:
    Constant Field Values
  (Unpublished)

### EXECUTIONMODE_PREEXISTING

    static final int EXECUTIONMODE_PREEXISTING

  Description copied from interface: `LibrarySessionInterface`
  Pre-existing execution mode.

  An execution mode used internally by the session to indicate that the session's execution mode is not temporarily overridden by a more priviledged mode (for example, in the execution of a policy-driven operation).

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_USER

    static final int EXECUTIONMODE_USER

  Description copied from interface: `LibrarySessionInterface`
  User execution mode.

  The session executes in a normal user mode, meaning all operations are controlled by ACLs and other default authorization rules.

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_DISCOVERYADMINISTRATION

    static final int EXECUTIONMODE_DISCOVERYADMINISTRATION

  Description copied from interface: `LibrarySessionInterface`
  Discovery-administration execution mode.

  The session executes in a privileged mode, in which any PublicObject can be "discovered", regardless of its ACL or owner.

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_ADMINISTRATION

    static final int EXECUTIONMODE_ADMINISTRATION

  Description copied from interface: `LibrarySessionInterface`
  Administration execution mode.

  The session executes in a privileged "administration" mode. This allows operations that would normally be prevented for regular user sessions.

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_SYSTEMADMINISTRATION

    static final int EXECUTIONMODE_SYSTEMADMINISTRATION

  Description copied from interface: `LibrarySessionInterface`
  System administration execution mode.

  The session executes in a privileged " system administration" mode. This allows operations that would normally be prevented for regular user sessions.

  See Also:
    Constant Field Values
  (Published)

### EXECUTIONMODE_INSTALLADMINISTRATION

    static final int EXECUTIONMODE_INSTALLADMINISTRATION

  Description copied from interface: `LibrarySessionInterface`
  Install administration execution mode.

  The session executes in the most privileged mode, to allow certain operations that are performed during installation or upgrade.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getLocalizer

    Localizer getLocalizer()
                           throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the localizer of this session.

  Returns:
    the localizer
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClassObjectValueByName

    AttributeValue getClassObjectValueByName(java.lang.String name)
                                             throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets an AttributeValue representation of a CLASSOBJECT that has the specified name.

  Returns:
    the CLASSOBJECT value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClassObjectCollection

    Collection getClassObjectCollection()
                                        throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ClassObject collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClassDomainCollection

    Collection getClassDomainCollection()
                                        throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ClassDomain collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValueDefaultCollection

    Collection getValueDefaultCollection()
                                         throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ValueDefault collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValueDomainCollection

    Collection getValueDomainCollection()
                                        throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ValueDomain collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getExtendedUserProfileCollection

    Collection getExtendedUserProfileCollection()
                                                throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ExtendedUserProfile collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFormatCollection

    Collection getFormatCollection()
                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the Format collection.

  Returns:
    the CachedResolverCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFormatExtensionCollection

    Collection getFormatExtensionCollection()
                                            throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the FormatExtension collection.

  Unlike the FormatCollection, this collection is organizaed by EXTENSION, not NAME.

  Returns:
    the CachedResolverCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMediaCollection

    Collection getMediaCollection()
                                  throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the Media collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSystemAccessControlListCollection

    Collection getSystemAccessControlListCollection()
                                                    throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the SystemAccessControlList collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClassAccessControlListCollection

    Collection getClassAccessControlListCollection()
                                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ClassAccessControlList collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectoryUserCollection

    Collection getDirectoryUserCollection()
                                          throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the DirectoryUser collection.

  Returns:
    the UncachedPreparedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getExtendedPermissionCollection

    Collection getExtendedPermissionCollection()
                                               throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the ExtendedPermission collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPermissionBundleCollection

    Collection getPermissionBundleCollection()
                                             throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the PermissionBundle collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyCollection

    Collection getPolicyCollection()
                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a reference to the Policy collection.

  Returns:
    the CachedSelectorCollection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectoryObjectInterface

    DirectoryObjectInterface getDirectoryObjectInterface(java.lang.Long id)
                                                         throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the DirectoryObjectInterface for the specified id.

  Parameters:
    `id` - the id of interest
  Returns:
    the DirectoryObjectInterface
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDirectoryObjectInterfaces

    DirectoryObjectInterface[] getDirectoryObjectInterfaces(java.lang.Long[] ids)
                                                            throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the DirectoryObjectInterfaces for the specified ids.

  Parameters:
    `ids` - the ids of interest
  Returns:
    the DirectoryObjectInterfaces
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPublicObjectInterface

    PublicObjectInterface getPublicObjectInterface(java.lang.Long id)
                                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the PublicObjectInterface for the specified id.

  Parameters:
    `id` - the id of interest
  Returns:
    the PublicObjectInterface
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPublicObjectInterfaces

    PublicObjectInterface[] getPublicObjectInterfaces(java.lang.Long[] ids)
                                                      throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the PublicObjectInterfaces for the specified ids.

  Parameters:
    `ids` - the ids of interest
  Returns:
    the PublicObjectInterfaces
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSchemaObjectInterface

    SchemaObjectInterface getSchemaObjectInterface(java.lang.Long id)
                                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the SchemaObjectInterface for the specified id.

  Parameters:
    `id` - the id of interest
  Returns:
    the SchemaObjectInterface
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSchemaObjectInterfaces

    SchemaObjectInterface[] getSchemaObjectInterfaces(java.lang.Long[] ids)
                                                      throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the SchemaObjectInterfaces for the specified ids.

  Parameters:
    `ids` - the ids of interest
  Returns:
    the SchemaObjectInterfaces
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSystemObjectInterface

    SystemObjectInterface getSystemObjectInterface(java.lang.Long id)
                                                   throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the SystemObjectInterface for the specified id.

  Parameters:
    `id` - the id of interest
  Returns:
    the SystemObjectInterface
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSystemObjectInterfaces

    SystemObjectInterface[] getSystemObjectInterfaces(java.lang.Long[] ids)
                                                      throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets the SystemObjectInterfaces for the specified ids.

  Parameters:
    `ids` - the ids of interest
  Returns:
    the SystemObjectInterfaces
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttributeSortName

    java.lang.String getAttributeSortName(java.lang.String classname,
                                          java.lang.String attributename)
                                          throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  return the Database object name that corresponds to an Attribute of a specified ClassObject. Used by SortSpecification to derive the SQL order by clause. This will throw an Exception if there is no Attribute for the specified class, or if the ClassObject does not exist.

  Parameters:
    `classname` - the name of the ClassObject
    `attributename` - the name of the Attribute
  Returns:
    the Database object name that corresponds to an Attribute.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getArrayTypeAttributeValue

    AttributeValue getArrayTypeAttributeValue(AttributeValueArray av,
                                              long objectId,
                                              long attributeId,
                                              long auditId,
                                              int count)
                                              throws IfsException

  Description copied from interface: `LibrarySessionInterface`
  Gets a fully resolved array-type AttributeValue with non-transient elements that is a copy of the specified array-type AttributeValue.

  For internal use only. Do not use this method.

  The invoker of this method sucks the elements from the returned object, plugs them into the corresponding cached AttributeValue, and then discards the returned object.

  Parameters:
    `av` - the AttributeValue of interest
    `objectId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property
    `attributeId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id
    `auditId` - if this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; -1 if this AttributeValue represents the current value of a LibraryObject's Attribute
    `count` - the number of elements in the AttributeValue
  Returns:
    a fully-resolved copy of the AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD